Урок 3. Как построить отрезок в Автокаде.

Любой чертеж может быть разбит на простейшие элементы, которые в Автокад называются примитивы. И первый примитив, с которым мы познакомимся, называется отрезок.

В этом уроке мы рассмотрим следующее:

Как построить отрезок;

Как рисовать отрезки нужной длины и в нужном направление;

Как изменить длину отрезка в Автокаде;

Как изменить длину нескольких отрезков Автокаде;

Создание отрезка программным  путем на языке LISP.

Как построить отрезок?

Команду отрезок можно запустить несколькими способами:

1) Набрать на клавиатуре ОТРЕЗОК (большими или маленькими буквами – это не важно) и нажимаем <Enter>. Причем в последних версия Автокад достаточно набрать только ОТ. Когда вы набираете команду с клавиатуры, при наборе первых букв от командной строки открывается список команд, и если в нем подсвечена нужная вам команда, то дальше ее набор можно не делать. В нашем случаи набираем ОТ и нажимаем <Enter>. Также вместо команды ОТРЕЗОК можно набрать _LINE;

отрезок автокад

2) Подвести указатель мыши на команду отрезок на панели «Рисование» и щелкнуть левой кнопкой мыши;

отрезок автокад

Если чуть дольше подержать указатель мыши, то всплывет более подробная подсказка.

отрезок автокад

Большинство пользователей используют второй способом.

После того, как мы запустили команду, в командной строке появиться запрос: «ОТРЕЗОК Первая точка :», который просит нас задать первую точку отрезка.

Самый простой способ задание точки отрезка – это указать ее в рабочем поле Автокада и нажать на левую кнопку мыши. При выборе точки, можно ориентироваться на координаты в левом нижнем углу.

отрезок автокад

После задания первой точки Автокад выдаст следующий запрос: «ОТРЕЗОК  Следующая точка или [оТменить] :».

отрезок автокад

Это означает, что либо нужно указать следующую точку отрезка, либо выбрать опцию, указанную в квадратных скобках. В качестве опции Автокад предлагает команду «Отменить», которая отменяет ранее заданную точку (т.е. переходит на шаг назад). Для того, чтобы применить опцию, нужно на клавиатуре набрать букву опции, написанную в верхнем регистре (в нашем случаи это «Т») и нажать <Enter>. Если так сделать, Автокад отменить только, что указанную точку и снова выдаст запрос: «ОТРЕЗОК Первая точка :»

Если вы указали следующую точку, то на экране появится отрезок и Автокад выдаст следующий запрос: «ОТРЕЗОК Следующая точка или [оТменить] :».

отрезок автокад

Это означает, что вы можете продолжать рисовать отрезки, образуя на экране ломаную линию. После того, как вы укажите третью точку, Автокад выдаст следующий запрос: «ОТРЕЗОК Следующая точка или [Замкнуть/оТменить] :».

отрезок автокад

Теперь в запросе появилась еще одна опция «Замкнуть”. Чтобы ее выбрать, вводим с клавиатуры «З» (не важно в каком регистре) и нажамаем <Enter>. Автокад соединит отрезком последнюю указанную точку с начальной точкой первого отрезка и завершить выполнение команды.

отрезок автокад

Если указать следующую точку, Автокад продолжить рисовать ломаную и снова выдаст запрос: «ОТРЕЗОК  Следующая точка или [Замкнуть/оТменить] :». Для того, чтобы завершить команду отрезок  нажмите клавишу <Enter>. Разумеется, нажать на <Enter> мы могли уже после указания второй точки. Тогда был бы нарисован всего один отрезок.

Есть и другой способ завершения команды. Вместо <Enter>, когда указатель мыши находится в рабочем поле, нажать на правую кнопку мыши. Появиться контекстное меню, в котором можно выбрать следующий шаг выполнения команды (наводим указатель мыши на нужный пункт в контекстном меню и нажимаем левую кнопку мыши).

отрезок автокад

При выборе «Ввод» произойдет завершение команды (равносильно нажатию <Enter> на клавиатуре). При выборе «Отмена», Автокад прервет выполнение команды (в данном случаи  это равносильно пункту «Ввод»). Пункты «Замкнуть» и «Отменить» равносильно одноименным опциям рассмотренным выше.

Кроме выше сказанного любую команду Автокад можно прервать нажатием на клавиатуре клавиши <Esc>.

Если нажать <Enter> вместо указания второй точки. Автокад завершить выполнения команды, не нарисовав ни одного отрезка. Если нажать <Enter> вместо указания первой точки, то в качестве нее будет принята конечная точка последнего нарисованного отрезка.

отрезок автокад

Мы рассмотрели способ задание точки отрезка при помощи мыши. Но он не является единственным. Координаты точек отрезка также можно задавать с клавиатуры. Давайте снова запустим команду «ОТРЕЗОК».

После того, как появиться запрос: «ОТРЕЗОК Первая точка :», вводим

100, 50.5

И нажимаем <Enter>

отрезок автокад

Таким образом мы задаем координаты первой точки (X1=100; Y1=50.5). Запятая является разделителем координат X и Y, а точка отделяет целую часть от дробной.

При запросе:  «ОТРЕЗОК Следующая точка или [оТменить] :», вводим

400, 200

Это координаты второй точки (X2=400; Y2=200).

Нажимаем <Enter> . Автокад нарисует отрезок  между первой и второй точкой и запросит следующую:  «ОТРЕЗОК Следующая точка или [оТменить] :».

отрезок автокад

Вводим  координаты третьей точки и Автокад нарисует ломаную или нажимаем <Enter> для завершения команды.

Как нарисовать отрезок нужной длины и в нужном направление?

Когда мне нужны точные размеры и направления отрезков, я обычно включаю полярное отслеживание. Предварительно настроив его. Для того, чтобы настроить полярное отслеживание находим одноименную  кнопку, расположенную в самом низу слева. Включать и выключать полярное отслеживание можно щелкая левой кнопкой мыши на этой кнопки или нажимая клавишу F10.

полярное отслеживание

Далее:

1) Помещаем на нее указатель мыши и щелкает правую кнопку;

2) Выбираем пункт настройка и щелкаем левой кнопкой мыши;

полярное отслеживание

3) Откроется окно режимы рисования на вкладке отслеживание.

полярное отслеживание

Здесь нам нужно задать шаг углов. Щелкаем левой кнопкой мыши по стрелке вниз и выбираем значение шага угла (для примера я выберу 45). Нажимаем кнопку ОК. Вы уже наверно заметили, что шаг угла можно было назначить и не входя в настройки. Но в окне режимы рисования мы можем назначить шаг угла, отличный от предлагаемых значений.

полярное отслеживание

Теперь Автокад будет отслеживать направление рисование отрезка с шагом 45 градусов.

отрезок автокад

Давайте теперь попробуем нарисовать параллелограмм указанный на рис.1

отрезок автокад

1) Запускаем команду отрезок;

2) На запрос: «ОТРЕЗОК Первая точка :». В любом месте рабочего поля задаем первую точку. Появится запрос «ОТРЕЗОК Следующая точка или [оТменить] :»;

3) Вращая указателем мышки вокруг первой точки, находим направление 45 градусов.

отрезок автокад

Вводим на клавиатуре 200 и нажимаем <Enter>.

Автокад нарисует отрезок длиной 200 в направлении, образующем с Осю «X»  45 градусов. Снова появится запрос «ОТРЕЗОК Следующая точка или [оТменить]: »;

4) Находим направление 0 градусов.

отрезок автокад

Вводим на клавиатуре 300 и нажимаем <Enter>. Из второй точки  Автокад нарисует отрезок длиной 300 в направлении, образующем с Осю «X» 0 градусов. Появится запрос «ОТРЕЗОК Следующая точка или [Замкнуть/оТменить]:»;

5) Находим направление 225 градусов.

отрезок автокад

Вводим на клавиатуре 200 и нажимаем <Enter>. Из третьей точки  Автокад нарисует отрезок длиной 200 в направлении, образующем с Осю «X» 225 градусов. Появится запрос «ОТРЕЗОК Следующая точка или [Замкнуть/оТменить]:»;

отрезок автокад

6) Вводим с клавиатуры «З» и нажимаем <Enter>. Автокад проведет отрезок из четвертой точки в первую и завершит команду.

Как изменить длину отрезка в Автокаде.

Чтобы изменить длину отрезка, щелкните по нему левой кнопкой мыши, так чтобы он выделился, и на нем появились ручки.

Изменить длину отрезка в Автокаде

Затем щелкните по ручке, стой стороны, с которой хотите изменить длину, так чтобы она стала красной, и отведите курсор мыши в сторону удлинения (уменьшения). Введите с клавиатуры 100 и нажмите <Enter>.

 Изменить длину отрезка в Автокаде

Отрезок изменить свою длину в указанном направление на 100.

Если нам надо, переместить отрезок на заданную длину (например на 200). Выделите отрезок, щелкните по средней ручке, так чтобы она стала красной, и отведите курсор мыши в сторону желаемого перемещения. Затем введите с клавиатуры 200 и нажмите <Enter>.

Изменить длину отрезка в Автокаде

Отрезок переместиться в указанном направлении на 200.

Как изменить длину нескольких отрезков Автокаде.

Чтобы изменить длину сразу нескольких отрезков, выделите их.

 Изменить длину отрезка в Автокаде

Затем нажмите клавишу <Shift>, и удерживая ее, щелкните по ручках, которые Вы хотите переместить. После того как все необходимые ручки выделены, отпустите клавишу <Shift>  (если Вы случайно выбрали не ту ручку, нажмите клавишу <Shift>, и щелкните по ней – выбор отменится)

 Изменить длину отрезка в Автокаде

Теперь снова щелкните по одной из выделенных ручек и отведите курсор мыши в сторону удлинения (уменьшения). Введите с клавиатуры 100 и нажмите <Enter>.

Изменить длину отрезка в Автокаде

Горизонтальные отрезки удлиняться, а наклонный переместиться на 100 в указанном направлении.

Изменить длину отрезка в Автокаде

Если перемещать наклонный отрезок не надо, то выделить нужно, только горизонтальные отрезки. Чтобы отменить выделение одного отрезка, клавишу <Shift>, и удерживая ее, щелкните по выделенному отрезку – выделение отменится.

Изменить длину отрезка в Автокаде

Нажмите клавишу <Shift>, и удерживая ее, щелкните по ручках, которые Вы хотите переместить. После того как все необходимые речки выделены, отпустите клавишу <Shift> . Затем снова щелкните по одной из выделенных ручек и отведите курсор мыши в сторону удлинения (уменьшения). Введите с клавиатуры 100 и нажмите <Enter>.

 Изменить длину отрезка в Автокаде

Удлиняться только горизонтальные отрезки. Наклонный останется на месте.

Изменить длину отрезка в Автокаде

Чтобы снять выделение с отрезков, нажмите клавишу <Esc>.

 

Создание отрезка программным путем на языке LISP.

Для тех, кому мало стандартных команд Автокад. Кто хочет создавать свои собственные команды, мы рассмотрим, как нарисовать отрезок при помощи языка программирования LISP. Давайте рассмотрим это пошагово:

1)   Запускаем редактор Visual Lisp. Для этого на главном меню выбираем вкладку «Управление» и щелкаем на пункте «Редактор Visual Lisp»

редактор Visual lisp

2)    В редакторе создаем новый файл: щелкаем на кнопку обведенную красным.

Visual lisp

3)   И в открывшимся окне набираем текст нашей программы или копируем его из окошка ниже.

Программный код:

(DEFUN c:my_otr (/ p1 p2 )  ; начало функции my_otr 
     (setq p1 (getpoint "\nБудьте любезны укажите пожалуйста первую точку: ")) ;запрос точки 
     (setq p2 (getpoint p1 "\nА теперь если Вас не затруднит вторую: "))  ;запрос точки 
     (command "_line" p1 p2 "") ; рисуем отрезок 
     (alert "УРА У МЕНЯ ВСЕ ПОЛУЧИЛОСЬ") ; выводим окно с сообщением 
) ; окончание функции

4)  Cохраняем нашу программу в удобном для вас месте. Я сохраняю ее в папке D:/MyLisp под именем «my_otr»

5)   Загружаем нашу программу. Щелкаем по кнопке, выделенной зеленым.

lisp

Если программа набрана без ошибок. Ниже в окне «Консоль Visual LISP» появиться надпись о том, что наша программа загружена.

консоль Visual lisp

6)      Переходим в Автокад. Вводим «my_otr» в командную строку и нажимаем <Enter>.

Как построить отрезок в автокаде

На первый запрос указываем первую точку, затем вторую. Автокад нарисует отрезок  и выдаст окно с сообщением.

Вы наверно спросите, зачем нужна наша команда, рисующая отрезок. Когда в Автокаде  уже есть  такая же стандартная команда. Дело в том, что в своей программе вы можете за один сеанс нарисовать и более сложные фигуры, которых уже нет в Автокаде.

Если вам это интересно смотрите мой следующий урок: «Пример простой программы на AutoLISP».

Таким образом в этой уроки мы узнали:

Как построить отрезок;

Как рисовать отрезки нужной длины и в нужном направление;

Как изменить длину отрезка в Автокаде;

Как изменить длину нескольких отрезков Автокаде;

Создание отрезка программным  путем на языке LISP.

Пишите в комментариях:

Все ли у вас получилось?;

Трудно ли было выполнить этот урок?;

Где у вас возникли трудности?

Я с удовольствием отвечу на все ваши комментарии.

Если вы хотите получать новости с моего сайта. Оформляйте подписку.

До новых встреч.

 «Автор: Михаил Орлов»

Google

Также на эту тему Вы можете почитать:

9 комментарии на “Урок 3. Как построить отрезок в Автокаде.

  1. releyshic 27.06.2015 09:17

    Всё очень понятно и подробно, спасибо! ))
    Но я решил пытаться нарисовать прямоугольник задав параметры ширина и высота получился не прямоугольник а «рамка» как для фотографии ))) Всё бы ничего но теперь всегда рисуется эта Рамка вместо прямоугольника =))) Как это отменить консоль пишет «Текущие режимы: Высота=40.0000 Ширина=100.0000″ а как эти режимы отменить не понятно ))
    2 Как всётаки нарисовать прямоугольник не через 2 точки а задавая ширину и высоту? и можно ли выбрать от какой вершины из 4 вставлять его (привязка)

  2. releyshic 27.06.2015 09:25

    В твоей программе рисования отрезка свойства P1 и Р2 что означат конкретно? какие аргументы есть? координаты точек через «;» ? можно ли там также задавать угол и длину?

    • Михаил Орлов 07.07.2015 18:38

      р1 и р2 — это переменные в которых хранятся координаты точек. Про углы смотрите статью: http://acad-prog.ru/kub/

  3. releyshic 04.07.2015 13:46

    Можно ли както перещелкивать свойства команд рисования без ввода их первых заглавных букв в консоль а кнопкой/ами?

    • Михаил Орлов 07.07.2015 18:58

      Не совсем понял о чем идет речь. Пожалуйста, уточните.

  4. Аноним 14.11.2015 12:28

    Для тренировки набрал в автокаде программу для куба.Написано внизу-всё правильно.Но когда перехожу в автокад и пишу в командной строке me_kub.То в командной строке пишеться-неизвестная команда,недостаточно данных.Хотя я всё делал по вашему примеру.Что делать???

    • Михаил Орлов 14.11.2015 13:59

      1) Там у меня mp_kub

      (defun c:mp_kub (/ p1 p2 p3 p4 p5 p6 p7 p8)
         < выражения>
      )

      Посмотрите, что у Вас в программе после «с:» — это и есть название команды, которое нужно написать в командной строке.
      2) Возможно Вы не загрузили программу в Автокад (не нажали на кнопку «Загрузить активное окно редактора»)

Оставить комментарий

Ваш mail не будет опубликован.

Вы можете использовать HTML теги и атрибуты: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>